Uploaded image for project: 'Qt'
  1. Qt
  2. QTBUG-60222

Online installer cannot be used on Wayland

    XMLWordPrintable

Details

    • Bug
    • Status: Closed
    • P1: Critical
    • Resolution: Out of scope
    • 5.9.0 Beta 1, 5.9.4, 5.10.1, 5.11.0 Beta 1, 5.11.0 Beta 2
    • None
    • None

    Description

      I downloaded qt-unified-linux-x64-2.0.5-2-online.run and tried to use it on Linux/Wayland system to install Qt 5.9 Beta 1. This results in:

      qt-unified-linux-x64-2.0.5-2-online.run(3698)/(default) unknown: This application failed to start because it could not find or load the Qt platform plugin "wayland"
      in "".

      Available platform plugins are: minimal, xcb.

      Reinstalling the application may fix this problem.
      Aborted (core dumped)

      Attachments

        Issue Links

          No reviews matched the request. Check your Options in the drop-down menu of this sections header.

          Activity

            People

              johanhelsing Johan Helsing
              mgraesslin Martin Gräßlin
              Votes:
              1 Vote for this issue
              Watchers:
              7 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved:

                Gerrit Reviews

                  There are no open Gerrit changes